import request from '@/utils/request';
import type { EmsListResponse, RecordIotenvInstantReportQuery, RecordIotenvInstantVO } from '../types';

export function iotInstantMonitoring(query?: RecordIotenvInstantReportQuery): Promise<EmsListResponse<RecordIotenvInstantVO>> {
  return request({
    url: '/ems/record/recordIOTInstant/iotInstantMonitoring',
    method: 'get',
    params: query
  });
}
